Net::Frame::Layer::ICMPv6::RouterAdvertisement(3)

NAME
Net::Frame::Layer::ICMPv6::RouterAdvertisement - ICMPv6 Router Advertisement type object

SYNOPSIS
   use Net::Frame::Layer::ICMPv6::RouterAdvertisement;

   my $layer = Net::Frame::Layer::ICMPv6::RouterAdvertisement->new(
      curHopLimit   => 64,
      flags         => NF_ICMPv6_FLAG_MANAGEDADDRESSCONFIGURATION,
   );
   $layer->pack;

   print 'RAW: '.$layer->dump."\n";

   # Read a raw layer
   my $layer = Net::Frame::Layer::ICMPv6::RouterAdvertisement->new(
      raw => $raw,
   );

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the ICMPv6 Router Advertisement object.

See also Net::Frame::Layer for other attributes and methods.

ATTRIBUTES
Refer to RFC 5175 for information on these attributes

curHopLimit
flags
reserved
routerLifetime
reachableTime
retransTimer
options

The following are inherited attributes. See Net::Frame::Layer for more information.

raw
payload
nextLayer

METHODS

new
new (hash)
    Object constructor. You can pass attributes that will overwrite default ones. See SYNOPSIS for default values.

getOptionsLength
    Returns the length in bytes of options, 0 if none.

The following are inherited methods. Some of them may be overridden in this layer, and some others may not be meaningful in this layer. See Net::Frame::Layer for more information.

layer
computeLengths
computeChecksums
pack
unpack
encapsulate
getLength
getPayloadLength
print
dump

CONSTANTS
No constants here.

SEE ALSO
Net::Frame::Layer::ICMPv6, Net::Frame::Layer

AUTHOR
Patrice <GomoR> Auffret Paolo Vanni Venegas

COPYRIGHT AND LICENSE
Copyright (c) 2006-2019, Patrice <GomoR> Auffret Copyright (c) 2009-2019, Paolo Vanni Venegas

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.